rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
Package_s Struct Reference
RPMBUILD.

The structure used to store values for a package. More...

`#include <build/rpmspec.h>`

Collaboration diagram for Package_s:
[legend]

## Data Fields
Header | header
rpmds | ds
rpmfi | cpioList
int | autoReq
int | autoProv
int | noarch
const char * | preInFile
const char * | postInFile
const char * | preUnFile
const char * | postUnFile
const char * | preTransFile
const char * | postTransFile
const char * | verifyFile
const char * | sanityCheckFile
rpmiob | specialDoc
struct TriggerFileEntry * | triggerFiles
const char * | fileFile
rpmiob | fileList
Package | next

## Detailed Description

The structure used to store values for a package.

Definition at line 196 of file rpmspec.h.

## Field Documentation

int Package_s::autoProv

Definition at line 205 of file rpmspec.h.

Referenced by handlePreambleTag(), newPackage(), rpmfcGenerateDepends(), and rpmfcGenerateDependsHelper().

int Package_s::autoReq

Definition at line 204 of file rpmspec.h.

Referenced by handlePreambleTag(), newPackage(), rpmfcGenerateDepends(), and rpmfcGenerateDependsHelper().

rpmfi Package_s::cpioList

Definition at line 202 of file rpmspec.h.

Referenced by freePackage(), newPackage(), packageBinaries(), processPackageFiles(), and rpmfcGenerateDepends().

rpmds Package_s::ds

Requires: N = EVR

Definition at line 200 of file rpmspec.h.

Referenced by freePackage(), newPackage(), parseSpec(), and rpmfcGenerateDepends().

const char* Package_s::fileFile

Definition at line 232 of file rpmspec.h.

Referenced by freePackage(), newPackage(), parseFiles(), and processPackageFiles().

rpmiob Package_s::fileList

Definition at line 234 of file rpmspec.h.

Referenced by _specQuery(), freePackage(), newPackage(), packageBinaries(), parseFiles(), processBinaryFiles(), and processPackageFiles().

Header Package_s::header

Definition at line 198 of file rpmspec.h.

Referenced by _specQuery(), checkDuplicateFiles(), checkUnpackagedFiles(), doSetupMacro(), freePackage(), genSourceRpmName(), handlePreambleTag(), initSourceHeader(), lookupPackage(), newPackage(), packageBinaries(), packagedDir(), parseChangelog(), parseDescription(), parseForSimple(), parsePreamble(), parseRCPOT(), parseScript(), parseSpec(), pkgUnpackagedSubdirs(), printNewSpecfile(), processBinaryFiles(), processMetadataFile(), processPackageFiles(), processScriptFiles(), rpmfcGenerateDepends(), and rpmfcGenerateScriptletDeps().

Package Package_s::next

Definition at line 237 of file rpmspec.h.

Referenced by _specQuery(), checkDuplicateFiles(), checkUnpackagedFiles(), checkUnpackagedSubdirs(), freePackages(), lookupPackage(), newPackage(), packageBinaries(), parsePreamble(), parseSpec(), printNewSpecfile(), and processBinaryFiles().

int Package_s::noarch

Definition at line 206 of file rpmspec.h.

Referenced by handlePreambleTag(), and parseSpec().

const char* Package_s::postInFile

post scriptlet.

Definition at line 211 of file rpmspec.h.

Referenced by freePackage(), newPackage(), parseScript(), and processScriptFiles().

const char* Package_s::postTransFile

posttrans scriptlet.

Definition at line 219 of file rpmspec.h.

Referenced by parseScript(), and processScriptFiles().

const char* Package_s::postUnFile

postun scriptlet.

Definition at line 215 of file rpmspec.h.

Referenced by freePackage(), newPackage(), parseScript(), and processScriptFiles().

const char* Package_s::preInFile

pre scriptlet.

Definition at line 209 of file rpmspec.h.

Referenced by freePackage(), newPackage(), parseScript(), and processScriptFiles().

const char* Package_s::preTransFile

pretrans scriptlet.

Definition at line 217 of file rpmspec.h.

Referenced by parseScript(), and processScriptFiles().

const char* Package_s::preUnFile

preun scriptlet.

Definition at line 213 of file rpmspec.h.

Referenced by freePackage(), newPackage(), parseScript(), and processScriptFiles().

const char* Package_s::sanityCheckFile

sanitycheck scriptlet.

Definition at line 223 of file rpmspec.h.

Referenced by freePackage(), newPackage(), parseScript(), and processScriptFiles().

rpmiob Package_s::specialDoc

Definition at line 226 of file rpmspec.h.

Referenced by freePackage(), newPackage(), parseForSimple(), and processPackageFiles().

struct TriggerFileEntry* Package_s::triggerFiles

Definition at line 229 of file rpmspec.h.

Referenced by addTriggerIndex(), freePackage(), newPackage(), and processScriptFiles().

const char* Package_s::verifyFile

verifyscript scriptlet.

Definition at line 221 of file rpmspec.h.

Referenced by freePackage(), newPackage(), parseScript(), and processScriptFiles().

The documentation for this struct was generated from the following file:

- build/rpmspec.h